# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Sun Jan 21 02:11:07 2024
# ------------------------------------------------

package:
  name: pyrodigal
  version: 3.2.2
source:
  sha256: 0e02b2089df29c3c0f1379364664f4a83da12373233bb74d7a95d24a346b02ec
  url: https://pypi.io/packages/source/p/pyrodigal/pyrodigal-3.2.2.tar.gz
build:
  entry_points:
    - pyrodigal = pyrodigal.cli:main
  number: '0'
  run_exports:
    - pyrodigal >=3.2.2,<3.3.0a0
  script: /opt/conda/conda-bld/pyrodigal_1705803847235/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . --no-deps --ignore-installed --use-pep517 -vvv
  string: py39hf95cd2a_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_2
    - gcc_impl_linux-64 12.3.0 he2b93b0_3
    - gcc_linux-64 12.3.0 h76fc315_2
    - kernel-headers_linux-64 2.6.32 he073ed8_16
    - ld_impl_linux-64 2.40 h41732ed_0
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_103
    - libgcc-ng 13.2.0 h807b86a_3
    - libgomp 13.2.0 h807b86a_3
    - libsanitizer 12.3.0 h0f45ef3_3
    - libstdcxx-ng 13.2.0 h7e041cc_3
    - sysroot_linux-64 2.12 he073ed8_16
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hd590300_5
    - ca-certificates 2023.11.17 hbcca054_0
    - cython 3.0.7 py39h3d6467e_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_3
    - libgomp 13.2.0 h807b86a_3
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.44.2 h2797004_0
    - libstdcxx-ng 13.2.0 h7e041cc_3
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4 h59595ed_2
    - openssl 3.2.0 hd590300_1
    - pip 23.3.2 pyhd8ed1ab_0
    - python 3.9.18 h0755675_1_cpython
    - python_abi 3.9 4_cp39
    - readline 8.2 h8228510_1
    - setuptools 69.0.3 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2023d h0c530f3_0
    - wheel 0.42.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - archspec >=0.2.0
    - libgcc-ng >=12
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
test:
  commands:
    - pyrodigal --help
    - python -m unittest -vv pyrodigal.tests
  imports:
    - pyrodigal
about:
  doc_url: https://pyrodigal.readthedocs.org/
  home: https://github.com/althonos/pyrodigal
  license: GPL-3
  license_family: GPL
  license_file: COPYING
  summary: Python bindings to Prodigal, an ORF finder for microbial sequences.
extra:
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.21105/joss.04296
  recipe-maintainers:
    - althonos
